# Get job status by domain_key

Checks the status of a job using the domain key.

Endpoint: GET /job/status_by_domain_key/{domain_key}
Version: 3
Security: ApiKeyAuth

## Path parameters:

  - `domain_key` (string, required)
    Example: "domain_key_123"

## Response 200 fields (application/json):

  - `job_id` (string, required)
    unique identifier of job
    Example: "19"

  - `cpu_time` (integer,null, required)

  - `created_at` (string, required)
    Datetime in custom format (2020-12-31 11:22:33 -0500 or 2020-12-31 11:22:33 UTC for UTC)
    Example: "2020-12-31 11:22:33 UTC"

  - `end_at` (any, required)

  - `duration` (integer,null, required)
    Duration
    Example: 10

  - `num_records` (integer,null, required)
    the number of records in the result. Will be null until job has finished, and may not be set for all query types
    Example: 100

  - `result_size` (integer,null, required)
    size in bytes of the job's result, in msgpack.gz format
    Example: 1048576

  - `start_at` (any, required)

  - `status` (string, required)
    current status of the job
    Enum: "queued", "running", "killed", "success", "error"

  - `updated_at` (string, required)
    Datetime in custom format (2020-12-31 11:22:33 -0500 or 2020-12-31 11:22:33 UTC for UTC)
    Example: "2020-12-31 11:22:33 UTC"


